Installing upstream Podman

Latest response

Hi,

I'm extending the question raised in Discussion: 4288731

The current stable version of Podman is 1.0.2 dev and it does not include any of the networking features such as port mapping (-p). So that makes it pretty unusable...

I can't wait for the next RHEL release and I don't want to move over to Fedora or Centos unless I have to... How can I override RHEL's defaults and install the latest upstream Podman?

Thanks

Responses

Hi Bryon,

Although it's not recommended to do that - you can download and manually install podman from the fedora project.
Most probably you have to upgrade other packages as well to satisfy dependencies, search for their versions here. :)

Regards,
Christian

Hi Bryon,

Just wanna let you know that RHEL 8.1 Beta has just been released and it ships with podman version 1.4.2 ... :)

$ sudo dnf list podman
Updating Subscription Management repositories.
Last metadata expiration check: 0:00:05 ago on Fr 26 Jul 2019 11:36:29 CEST.
Installed Packages
podman.x86_64                    1.4.2-1.module+el8.1.0+3423+f0eda5e0

Regards,
Christian

Hi Yes I saw that today. I will run with that. Thanks Bryon

You're welcome, Bryon ! :)